<?php
/*
-----------------------------------------
Автор: -=КотЭ=-(-=MTV=-) и Shot(Robber)
Бесплатный WAP движок: Strongcms
Контакты: 0664452670(МТС) ибо ICQ(7296000)
Файл: index.php
-------------------------------------------
*/

$title = 'Пользователи';
//-----Подключаем функции-----//
require_once ('system/function.php');
//-----Подключаем вверх-----//
require_once ('system/header.php');

//-----Если гость,то...-----//
if(!isset($user['id'])) {
echo err($title, '
Уважаемый посетитель, Вы зашли на сайт как незарегистрированный пользователь.<br/>
Мы рекомендуем Вам зарегистрироваться либо войти на сайт под своим именем.
');
require_once ('system/footer.php'); exit;
}

$act = isset($_GET['act']) ? $_GET['act'] : null;

switch($act) {
default:
echo '<div class="title">'.$title.'</div>';

echo '<div class="podmenu"><a href="'.$HOME.'/administration.php">Администрация</a></div>';
echo '<div class="podmenu"><a href="'.$HOME.'/suser.php">Поиск</a></div>';

$users = mysql_query("SELECT * FROM `users` ORDER BY `id` DESC LIMIT 1");
while($newus = mysql_fetch_assoc($users))
{
echo '<div class="podmenu"><img src="/images/newus.png" alt="8" /> Последний зарегистрированый: '.nick($newus['id']).' </div>';
}

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `users`"),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;

$users = mysql_query("SELECT * FROM `users` ORDER BY `id` LIMIT $start, $max");
while($a = mysql_fetch_assoc($users))
{
echo '<div class="links">'.nick($a['id']).' [ID: '.$a['id'].']</div>
<div class="podmenu">Зарегистрирован: ('.vremja($a['datareg']).')</div>
<div class="podmenu">Последнее посещение: ('.vremja($a['viz']).')</div>';
}

if ($k_page>1) echo str('/user.php?',$k_page,$page); // Вывод страниц

break;
case 'online':

echo '<div class="title"><a href="'.$HOME.'/user.php">'.$title.'</a> | Сейчас онлайн</div>';

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `users` WHERE `viz` > '".(time()-360)."'"),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;


$users = mysql_query("SELECT * FROM `users` where `viz` > '".(time()-360)."' ORDER BY `viz` DESC LIMIT $start, $max");
while($a = mysql_fetch_assoc($users))
{
echo '<div class="links">'.nick($a['id']).'</div>
<div class="podmenu">Последний визит: '.vremja($a['viz']).'</div>';
}

if ($k_page>1)echo str('/online.php?',$k_page,$page); // Вывод страниц

break;
case 'adm':

echo '<div class="title"><a href="'.$HOME.'/user.php">'.$title.'</a> | Администрация сайта</div>';

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `users` WHERE `level` >= '1' "),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;

$users = mysql_query("SELECT * FROM `users` where `level` >= '1' ORDER BY `viz` DESC LIMIT $start, $max");
while($a = mysql_fetch_assoc($users))
{
echo '<div class="links">'.nick($a['id']).' </div>
<div class="podmenu">Зарегистрирован: ('.vremja($a['datareg']).')</div>
<div class="podmenu">Последнее посещение: '.vremja($a['viz']).'</div>';
}


if ($k_page>1)echo str('/administration.php?',$k_page,$page); // Вывод страниц

break;
}

//-----Подключаем низ-----//
require_once ('system/footer.php');
?>